/** Classe que hereta de Sensor tots els mtodes i atributs.
T un atribut que indica el radi d'acci **/
public class Volumetric extends Sensor
{
	private
		double radi;
	/** Constructor amb tres parmetres
	@param cd  Codi del sensor
	@param pr  preu del sensor
	@param r  radi d'acci **/
	public Volumetric(String cd, double pr, double r)
	{
		super(cd,pr);
		radi=r;
	}

	/** Sobrecrrega del constructor per a evitar conflictes en l'herncia mltiple
	@param r  Radi d'acci**/
	public Volumetric(double r)
	{
		super();
		radi=r;
	}

	/** Accessor d'escriptura del radi d'acci del sensor**/
	public void setRadi(double r)
	{
		radi=r;
	}

	/** Accessor de lectura del radi d'acci del sensor
	@return radi d'acci del sensor**/
	public double getRadi()
	{
		return radi;
	}


	/** Redefinici del mtode toString de la classe Object
	* @return  Retorna un string amb tota la informaci del sensor **/
	public String toString()
	{
		return("SENSOR VOLUMETRIC\n"+super.toString()+"\tRadi d'accio: "+getRadi()+"\n\n");
	}
}