/** Classe que hereta de Sensor tots els mtodes i atributs.
T un atribut que indica la temperatura mnima **/
public class Infraroig extends Sensor
{
	protected
		int temperatura;
	/** Constructor amb tres parmetres
	@param cd  Codi del sensor
	@param pr  preu del sensor
	@param t  temperatura mnima **/
	public Infraroig(String cd, double pr, int t)
	{
		super(cd,pr);
		temperatura=t;
	}

	/** Accessor de lectura de la temperatura mnima
	@return Temperatura mnima que fa disparar el sensor**/
	public int getTemperatura()
	{
		return temperatura;
	}

	/** Accessor d'escriptura de la temperatura mnima**/
	public void setTemperatura(int t)
	{
		temperatura=t;
	}

	/** Redefinici del mtode toString de la classe Object
	* @return  Retorna un string amb tota la informaci del sensor **/
	public String toString()
	{
		return("SENSOR INFRAROIG\n"+super.toString()+"\tTemperatura: "+getTemperatura()+"\n\n");
	}
}